org.acplt.oncrpc.apps.jrpcgen

## Class CUP$JrpcgenParser$actions

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.CUP$JrpcgenParser$actions

     class CUP$JrpcgenParser$actions
    extends java.lang.Object

Cup generated class to encapsulate user supplied action code.

### Field Summary

Fields
`private JrpcgenParser` `parser`

### Constructor Summary

Constructors
Constructor and Description
`CUP$JrpcgenParser$actions(JrpcgenParser parser)` Constructor

### Method Summary

Methods
`org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol` `CUP$JrpcgenParser$do_action(int CUP$JrpcgenParser$act_num, org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser CUP$JrpcgenParser$parser, java.util.Stack CUP$JrpcgenParser$stack, int CUP$JrpcgenParser$top)` Method with the actual generated action code.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parser

    private final JrpcgenParser parser

### Constructor Detail

#### CUP$JrpcgenParser$actions

    CUP$JrpcgenParser$actions(JrpcgenParser parser)

Constructor

### Method Detail

#### CUP$JrpcgenParser$do_action

    public final org.acplt.oncrpc.apps.jrpcgen.cup_runtime.Symbol CUP$JrpcgenParser$do_action(int CUP$JrpcgenParser$act_num,
                                                                               org.acplt.oncrpc.apps.jrpcgen.cup_runtime.lr_parser CUP$JrpcgenParser$parser,
                                                                               java.util.Stack CUP$JrpcgenParser$stack,
                                                                               int CUP$JrpcgenParser$top)
                                                                                       throws java.lang.Exception

Method with the actual generated action code.

Throws:
  `java.lang.Exception`